import { FunctionComponent } from 'react';
import { TaroDialogProps } from "../../types";
declare const defaultProps: TaroDialogProps;
export declare const BaseDialog: FunctionComponent<Partial<TaroDialogProps>> & {
    open: typeof open;
    close: typeof close;
};
export declare function open(selector: string, options: Partial<typeof defaultProps>): void;
export declare function close(selector: string): void;
export {};
